package ed20081.g1.tp1.principal;

import ine5408.th.FuncaoG;
import ed20081.g1.tp1.enums.Modos;
import ed20081.g1.tp1.enums.TiposPesquisa;

public class Opcoes {
	/*
	 * A cada nova execuo (interativa) do programa a classe  "resetada". Para
	 * cada execuo do programa as opes s podem ser setadas uma nica vez (a
	 * primeira)
	 */

	private static boolean linhaTemParametros;

	private static String prefixoArquivos;
	private static Modos modo;

	private static TiposPesquisa tipoPesquisa;
	private static FuncaoG fG;
	private static int qtdRegsAleatorios;

	public static void fixarFuncaoG(FuncaoG funcao) {
		if (fG == null)
			fG = funcao;
	}

	public static void fixarLinhaTemParametros(boolean temParametros) {
		linhaTemParametros = temParametros;
	}

	public static void fixarModo(Modos m) {
		if (modo == null)
			modo = m;
	}

	public static void fixarPrefixoDosArquivos(String prefixo) {
		if (prefixoArquivos == null)
			prefixoArquivos = prefixo;
	}

	public static void fixarQtdRegsAleatorios(int qtdAleatorios) {
		if (qtdRegsAleatorios == 0)
			qtdRegsAleatorios = qtdAleatorios;
	}

	public static void fixarTipoPesquisa(TiposPesquisa tipo) {
		if (tipoPesquisa == null)
			tipoPesquisa = tipo;
	}

	public static boolean linhaTemParametros() {
		return linhaTemParametros;
	}

	public static String obterArquivoPesquisa() {
		return prefixoArquivos + "-p.txt";
	}

	public static String obterArquivoSinistros() {
		return prefixoArquivos + "-s.txt";
	}

	public static String obterArquivoVeiculos() {
		return prefixoArquivos + "-v.txt";
	}

	public static FuncaoG obterFuncaoG() {
		return fG;
	}

	public static Modos obterModo() {
		return modo;
	}

	public static int obterQtdRegsAleatorios() {
		return qtdRegsAleatorios;
	}

	public static TiposPesquisa obterTipoPesquisa() {
		return tipoPesquisa;
	}

	public static void reset() {
		prefixoArquivos = null;
		modo = null;
		tipoPesquisa = null;
		qtdRegsAleatorios = 0;
	}

}
