package ed20081.g1.tp1.codigo;

import java.util.Date;

public interface TipoSinistro {

	public void fixarCodigo(int codigo);

	public void fixarData(Date data);

	public void fixarDescricao(String descricao);

	public void fixarEndereco(String endereco);

	public void fixarEstado(String estado);

	public void fixarMotoristaEmbriagado(boolean motoristaEmbriagado);

	public void fixarMunicipio(String municipio);

	public void fixarPerdaTotal(boolean perdaTotal);

	public void fixarPlaca(String placa);

	public void fixarVitimasFatais(int vitimasFatais);

	public void fixarVitimasNaoFatais(int vitimasNaoFatais);

	public boolean motoristaEmbriagado();

	public int obterCodigo();

	public Date obterData();

	public String obterDescricao();

	public String obterEndereco();

	public String obterEstado();

	public String obterMunicipio();

	public String obterPlaca();

	public int obterVitimasFatais();

	public int obterVitimasNaoFatais();

	public boolean perdaTotal();

}