package ed20081.g1.tp1.codigo;

public class Veiculo implements TipoVeiculo {

	private String placa;
	private int anoDeFabricacao;
	private String marca;
	private String modelo;
	private String cor;
	private String combustivel;

	public Veiculo(String placa, int anoDeFabricacao, String marca, String modelo, String cor,
			String combustivel) {

		this.placa = placa;
		this.anoDeFabricacao = anoDeFabricacao;
		this.marca = marca;
		this.modelo = modelo;
		this.cor = cor;
		this.combustivel = combustivel;
	}

	public boolean equals(Object obj) {
		boolean igualdade = false;
		if (obj instanceof Veiculo) {
			final Veiculo outro = (Veiculo) obj;
			igualdade = placa.equals(outro.placa);
		}

		return igualdade;
	}

	public void fixarAno(int ano) {
		anoDeFabricacao = ano;
	}

	public void fixarCombustivel(String combustivel) {
		this.combustivel = combustivel;
	}

	public void fixarCor(String cor) {
		this.cor = cor;
	}

	public void fixarMarca(String marca) {
		this.marca = marca;
	}

	public void fixarModelo(String modelo) {
		this.modelo = modelo;
	}

	public void fixarPlaca(String placa) {
		this.placa = placa;

	}

	public int obterAnoDeFabricacao() {
		return anoDeFabricacao;
	}

	public String obterCombustivel() {
		return combustivel;
	}

	public String obterCor() {
		return cor;
	}

	public String obterMarca() {
		return marca;
	}

	public String obterModelo() {
		return modelo;
	}

	public String obterPlaca() {
		return placa;
	}

	public String toString() {
		return "(Placa: " + placa + ", Ano: " + anoDeFabricacao + ", Marca: " + marca
				+ ", Modelo: " + modelo + ", Cor: " + cor + ", Combustvel: " + combustivel + ")";
	}

}
