package ed20081.g1.tp1.testes.veiculo;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertFalse;

import org.junit.Test;

import ed20081.g1.tp1.codigo.TipoVeiculo;
import ed20081.g1.tp1.codigo.Veiculo;

public class TestesDeVeiculo {

	@Test
	public void testeToString() {
		final TipoVeiculo v = new Veiculo("WTH1313", 1899, "GM", "Ka", "Azul", "Gas");
		final String esperada = "(Placa: WTH1313, Ano: 1899, Marca: GM, Modelo: Ka, Cor: Azul, Combustvel: Gas)";

		assertEquals(esperada, v.toString());
	}

	@Test
	public void veiculosComPlacasDiferentesNaoSaoIguais() {
		final TipoVeiculo veiculo1 = new Veiculo("ABC1234", 1983, "Ford", "F1000", "verde",
				"gasolina");
		final TipoVeiculo veiculo2 = new Veiculo("ABC1534", 1983, "Ford", "F1000", "verde",
				"gasolina");
		assertFalse(veiculo1.equals(veiculo2));
	}

	@Test
	public void veiculosComPlacasIguaisSaoIguaisMesmoComAtributosDiferentes() {
		final TipoVeiculo veiculo1 = new Veiculo("ABC1234", 1983, "Ford", "F1000", "verde",
				"gasolina");
		final TipoVeiculo veiculo2 = new Veiculo("ABC1234", 1950, "GM", "F10", "preta", "diesel");

		assertEquals(veiculo2, veiculo1);
	}

}
