package ed20081.g1.tp1.util;

import java.io.UnsupportedEncodingException;

public abstract class StringUtils {

	private static String converterStringParaPadraoDoSO(String antiga) {
		final String encoding = System.getProperty("file.encoding");
		String nova = "";
		try {
			nova = new String(antiga.getBytes("UTF-8"), encoding);
		} catch (final UnsupportedEncodingException e) {
			System.out
					.println("A codificao padro do seu sistema operacional no  suportada pelo Java!");
		}

		return nova;
	}

	public static String fixarTamanhoDeString(String s, int tamanho) {
		while (s.length() < tamanho)
			s += " ";
		return s.substring(0, tamanho);
	}

	public static void imprimirStringConvertida(String s) {
		System.out.println(converterStringParaPadraoDoSO(s));
	}

	public static void imprimirTempo(double tempo, String modo) {
		imprimirStringConvertida(modo + " levou " + tempo + " segundos.");
	}
}
