package ed20081.g1.tp1.validacao;

import java.util.Calendar;

import ed20081.g1.tp1.excecoes.veiculos.AnoInvalido;

public class ValidadorDeVeiculos extends Validador {

	private static ValidadorDeVeiculos instanciaUnica;

	public static ValidadorDeVeiculos obterInstancia() {
		if (instanciaUnica == null)
			instanciaUnica = new ValidadorDeVeiculos();
		return instanciaUnica;
	}

	private ValidadorDeVeiculos() {
	}

	public void validarAno(int ano) throws AnoInvalido {
		final int anoAtual = Calendar.getInstance().get(Calendar.YEAR);

		if (ano > anoAtual || ano < 1885)
			throw new AnoInvalido();
	}
}
